
From: "Krishnakumar. R" <krishnakumar@naturesoft.net>

A missing schedule_task -> schedule_work conversion.


 25-akpm/drivers/char/Kconfig     |    2 +-
 25-akpm/drivers/char/istallion.c |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/char/istallion.c~istallion-build-fix drivers/char/istallion.c
--- 25/drivers/char/istallion.c~istallion-build-fix	Tue Sep 16 12:43:39 2003
+++ 25-akpm/drivers/char/istallion.c	Tue Sep 16 12:43:39 2003
@@ -2303,7 +2303,7 @@ static void stli_dohangup(void *arg)
 
 	/*
 	 * FIXME: There's a module removal race here: tty_hangup
-	 * calls schedule_task which will call into this
+	 * calls schedule_work which will call into this
 	 * driver later.
 	 */
 	portp = (stliport_t *) arg;
@@ -2944,7 +2944,7 @@ static inline int stli_hostcmd(stlibrd_t
 			    ((portp->sigs & TIOCM_CD) == 0)) {
 				if (portp->flags & ASYNC_CHECK_CD) {
 					if (tty)
-						schedule_task(&portp->tqhangup);
+						schedule_work(&portp->tqhangup);
 				}
 			}
 		}
diff -puN drivers/char/Kconfig~istallion-build-fix drivers/char/Kconfig
--- 25/drivers/char/Kconfig~istallion-build-fix	Tue Sep 16 12:43:51 2003
+++ 25-akpm/drivers/char/Kconfig	Tue Sep 16 12:44:03 2003
@@ -370,7 +370,7 @@ config STALLION
 
 config ISTALLION
 	tristate "Stallion EC8/64, ONboard, Brumby support"
-	depends on STALDRV && BROKEN
+	depends on STALDRV && BROKEN_ON_SMP
 	help
 	  If you have an EasyConnection 8/64, ONboard, Brumby or Stallion
 	  serial multiport card, say Y here. Make sure to read

_
